Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.format
Class DoubleNaNHandler

    java.lang.Object
      com.tonbeller.wcf.format.FormatHandlerSupport
          com.tonbeller.wcf.format.NumberHandler
              com.tonbeller.wcf.format.DoubleHandler
                  com.tonbeller.wcf.format.DoubleNaNHandler

All Implemented Interfaces:
  FormatHandler

public class DoubleNaNHandler
extends DoubleHandler

Parses and formats double numbers, treating Double.NaN as empty string and vice versa

Field Summary

Fields inherited from class com.tonbeller.wcf.format.FormatHandlerSupport
`errorMessage, locale, name, pattern, patterns`

Constructor Summary
`DoubleNaNHandler()`

Method Summary
`java.lang.String` | `format(java.lang.Object o, java.lang.String userPattern)` format an object
`java.lang.Object` | `parse(java.lang.String s, java.lang.String userPattern)` parse a String and create an object

Methods inherited from class com.tonbeller.wcf.format.DoubleHandler
`canHandle, toNativeArray, toObjectArray`

Methods inherited from class com.tonbeller.wcf.format.NumberHandler
`getMinValue, setMinValue`

Methods inherited from class com.tonbeller.wcf.format.FormatHandlerSupport
`addPattern, findPattern, getErrorMessage, getErrorMessage, getLocale, getName, getPattern, setErrorMessage, setLocale, setName, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleNaNHandler

    public DoubleNaNHandler()

Method Detail

### parse

    public java.lang.Object parse(java.lang.String s,
                                  java.lang.String userPattern)
                           throws FormatException

  Description copied from interface: `FormatHandler`
  parse a String and create an object

  Specified by:
    `parse` in interface `FormatHandler`
  Overrides:
    `parse` in class `DoubleHandler`
  Throws:
    `FormatException`

### format

    public java.lang.String format(java.lang.Object o,
                                   java.lang.String userPattern)

  Description copied from interface: `FormatHandler`
  format an object

  Specified by:
    `format` in interface `FormatHandler`
  Overrides:
    `format` in class `NumberHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD